> For the complete documentation index, see [llms.txt](https://docs.echo3d.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.echo3d.com/api/organize.md).

# Organize

## Move an entry or entries to a folder

<mark style="color:green;">`POST`</mark> `https://api.echo3D.com/organize`

This endpoint allows you to move entries into a folder

#### Request Body

| Name                                         | Type   | Description                                                                                                                             |
| -------------------------------------------- | ------ | --------------------------------------------------------------------------------------------------------------------------------------- |
| key<mark style="color:red;">\*</mark>        | string | Your API key.                                                                                                                           |
| email<mark style="color:red;">\*</mark>      | string | Your email address                                                                                                                      |
| userKey<mark style="color:red;">\*</mark>    | string | Your authentication key                                                                                                                 |
| entries<mark style="color:red;">\*</mark>    | string | A list of specific entry IDs separated by a comma.                                                                                      |
| folderPath<mark style="color:red;">\*</mark> | string | Path of the folder you wish to move the entries into. e.g. `example\folder`. If left empty, the assets will move to the root directory. |
| secKey                                       | string | Your Secret key. Only if enabled through the [Security page](/web-console/manage-pages/collections-and-sharing/security.md#secret-key). |

Please note that if you are sending request parameters as query string, you will need to encode **folderPath** value. Encoding will not be necessary if the parameters are sent in the body as FormData.

{% tabs %}
{% tab title="200 Update successful" %}

```
N/A
```

{% endtab %}

{% tab title="400: Bad Request error" %}

```
The following entries could not be found: ...
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.echo3d.com/api/organize.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
